﻿/*
 * Square.cs
 * 
*/

using System;

namespace XNAWinformReversi.GameLogic
{
    [Serializable]
    public class Square
    {
        private int _x, _y;
        public int flipValue;
        public static readonly Square Empty = new Square(-1, -1);

        public int x
        {
            get { return _x; }
        }

        public int y
        {
            get { return _y; }
        }

        public Square(int p1, int p2)
        {
            _x = p1;
            _y = p2;
        }
    }
}
