﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace XNAWinformReversi.UIForms
{
    public partial class PlayerForm : Form
    {
        public PlayerForm()
        {
            InitializeComponent();
            this.player1Box.Items.Add("Human");
            this.player1Box.Items.Add("Computer");
            this.player2Box.Items.Add("Human");
            this.player2Box.Items.Add("Computer");
            this.player1Box.SelectedIndex = 0;
            this.player2Box.SelectedIndex = 1;

            player1DiffBox.Items.Add("Novice");
            player1DiffBox.Items.Add("Easy");
            player1DiffBox.Items.Add("Intermediate");
            player1DiffBox.Items.Add("Expert");
            player1DiffBox.SelectedIndex = 0;

            player2DiffBox.Items.Add("Novice");
            player2DiffBox.Items.Add("Easy");
            player2DiffBox.Items.Add("Intermediate");
            player2DiffBox.Items.Add("Expert");
            player2DiffBox.SelectedIndex = 0;

        }

        private void okButton_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void player1Box_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (player1Box.SelectedIndex == 1)
            {
                player1DiffBox.Enabled = true;
            }
            else
            {
                player1DiffBox.Enabled = false;
            }
        }

        private void player2Box_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (player2Box.SelectedIndex == 1)
            {
                player2DiffBox.Enabled = true;
            }
            else
            {
                player2DiffBox.Enabled = false;
            }
        }
    }
}
