﻿using System;
using System.Collections.Generic;

namespace ReversiV2
{
    [Serializable]
    public class BoardStateList
    {

        public List<BoardState> _boardStateList;

        public BoardStateList()
        {
            _boardStateList = new List<BoardState>();
        }

        public void add(int[,] boardArray, int currentPlayer)
        {
            BoardState state = new BoardState(boardArray, currentPlayer);
            _boardStateList.Add(state);
        }

        public int getLength()
        {
            int length = _boardStateList.Count;
            return length;
        }

        public BoardState getState(int index)
        {
            BoardState state = null;
            if (index < _boardStateList.Count)
            {
                state = _boardStateList[index];
            }
            return state;
        }

    }

    [Serializable]
    public class BoardState
    {
        public int[,] _boardState;
        public int _currentPlayer;

        public BoardState(int[,] boardArray, int currentPlayer)
        {
            _boardState = new int[8, 8];
            _boardState = boardArray;
            _currentPlayer = currentPlayer;
        }
    }
}
